Page MenuHomePhabricator

Undefined index: targetRevisionId in ContentTranslation
Closed, ResolvedPublic

Description

Since moving group1 wikis to 1.27.0-wmf.9 seeing a lot of this in logs:

Notice: Undefined index: targetRevisionId in /srv/mediawiki/php-1.27.0-wmf.9/extensions/ContentTranslation/includes/Translation.php on line 54

Event Timeline

thcipriani updated the task description. (Show Details)
thcipriani raised the priority of this task from to Needs Triage.
thcipriani added a subscriber: thcipriani.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 16 2015, 7:52 PM
Nikerabbit added a subscriber: Nikerabbit.EditedDec 16 2015, 8:01 PM

Thanks for the report. Seems to happen on non-initial saves.

demon triaged this task as Normal priority.Dec 16 2015, 9:06 PM
demon set Security to None.
santhosh claimed this task.Dec 17 2015, 5:26 AM

Change 259635 had a related patch set uploaded (by Santhosh):
Fix Undefined index: targetRevisionId in ContentTranslation

https://gerrit.wikimedia.org/r/259635

santhosh moved this task from Backlog to In Review on the LE-CX7-Sprint 4 board.Dec 17 2015, 8:15 AM

Change 259649 had a related patch set uploaded (by Nikerabbit):
Fix Undefined index: targetRevisionId in ContentTranslation

https://gerrit.wikimedia.org/r/259649

Change 259635 merged by jenkins-bot:
Fix Undefined index: targetRevisionId in ContentTranslation

https://gerrit.wikimedia.org/r/259635

Nikerabbit moved this task from In Review to QA on the LE-CX7-Sprint 4 board.Dec 17 2015, 10:33 AM

Change 259649 merged by jenkins-bot:
Fix Undefined index: targetRevisionId in ContentTranslation

https://gerrit.wikimedia.org/r/259649

santhosh moved this task from QA to Done on the LE-CX7-Sprint 4 board.Dec 18 2015, 3:52 AM
santhosh closed this task as Resolved.Dec 22 2015, 7:04 AM